<!DOCTYPE html>
<html lang="fr">

    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Groupe : Die Jäger</title>
        <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
        <script src="app/app.js"></script>
        <script src="app/calculs.js"></script>
        <script src="app/verifications.js"></script>
        <script src="app/canvas.js"></script>
        <link rel="stylesheet" href="https://unpkg.com/purecss@2.0.3/build/pure-min.css">
        <link rel="stylesheet" href="https://unpkg.com/purecss@2.0.3/build/grids-responsive-min.css">
        <link rel="stylesheet" href="style/style.css" />
    </head>

    <body>
        <div id='saisie' class='pure-g'>
            <div class="pure-u-1" id='nombre_piquet'>
                <label for="aligned-name">Saisir le nombre de piquets (50 max):</label>
                <input type="number" id="aligned-name" min=3 max=50 value=3 step=1 />
                <span id="empty" class="pure-form-message-inline">Champs vide, Merci de le completer</span>
                <span id="number" class="pure-form-message-inline">Merci de saisir un nombre valide</span>
            </div>
            <div class="pure-u-2-3">
                <div class="coords" id="coords_0">Piquet 0 : <input type="number" id="coord_0_x" placeholder="X" step=any /><input type="number" id="coord_0_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_1">Piquet 1 : <input type="number" id="coord_1_x" placeholder="X" step=any /><input type="number" id="coord_1_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_2">Piquet 2 : <input type="number" id="coord_2_x" placeholder="X" step=any /><input type="number" id="coord_2_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_3">Piquet 3 : <input type="number" id="coord_3_x" placeholder="X" step=any /><input type="number" id="coord_3_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_4">Piquet 4 : <input type="number" id="coord_4_x" placeholder="X" step=any /><input type="number" id="coord_4_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_5">Piquet 5 : <input type="number" id="coord_5_x" placeholder="X" step=any /><input type="number" id="coord_5_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_6">Piquet 6 : <input type="number" id="coord_6_x" placeholder="X" step=any /><input type="number" id="coord_6_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_7">Piquet 7 : <input type="number" id="coord_7_x" placeholder="X" step=any /><input type="number" id="coord_7_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_8">Piquet 8 : <input type="number" id="coord_8_x" placeholder="X" step=any /><input type="number" id="coord_8_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_9">Piquet 9 : <input type="number" id="coord_9_x" placeholder="X" step=any /><input type="number" id="coord_9_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_10">Piquet 10 : <input type="number" id="coord_10_x" placeholder="X" step=any /><input type="number" id="coord_10_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_11">Piquet 11 : <input type="number" id="coord_11_x" placeholder="X" step=any /><input type="number" id="coord_11_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_12">Piquet 12 : <input type="number" id="coord_12_x" placeholder="X" step=any /><input type="number" id="coord_12_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_13">Piquet 13 : <input type="number" id="coord_13_x" placeholder="X" step=any /><input type="number" id="coord_13_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_14">Piquet 14 : <input type="number" id="coord_14_x" placeholder="X" step=any /><input type="number" id="coord_14_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_15">Piquet 15 : <input type="number" id="coord_15_x" placeholder="X" step=any /><input type="number" id="coord_15_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_16">Piquet 16 : <input type="number" id="coord_16_x" placeholder="X" step=any /><input type="number" id="coord_16_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_17">Piquet 17 : <input type="number" id="coord_17_x" placeholder="X" step=any /><input type="number" id="coord_17_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_18">Piquet 18 : <input type="number" id="coord_18_x" placeholder="X" step=any /><input type="number" id="coord_18_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_19">Piquet 19 : <input type="number" id="coord_19_x" placeholder="X" step=any /><input type="number" id="coord_19_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_20">Piquet 20 : <input type="number" id="coord_20_x" placeholder="X" step=any /><input type="number" id="coord_20_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_21">Piquet 21 : <input type="number" id="coord_21_x" placeholder="X" step=any /><input type="number" id="coord_21_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_22">Piquet 22 : <input type="number" id="coord_22_x" placeholder="X" step=any /><input type="number" id="coord_22_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_23">Piquet 23 : <input type="number" id="coord_23_x" placeholder="X" step=any /><input type="number" id="coord_23_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_24">Piquet 24 : <input type="number" id="coord_24_x" placeholder="X" step=any /><input type="number" id="coord_24_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_25">Piquet 25 : <input type="number" id="coord_25_x" placeholder="X" step=any /><input type="number" id="coord_25_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_26">Piquet 26 : <input type="number" id="coord_26_x" placeholder="X" step=any /><input type="number" id="coord_26_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_27">Piquet 27 : <input type="number" id="coord_27_x" placeholder="X" step=any /><input type="number" id="coord_27_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_28">Piquet 28 : <input type="number" id="coord_28_x" placeholder="X" step=any /><input type="number" id="coord_28_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_29">Piquet 29 : <input type="number" id="coord_29_x" placeholder="X" step=any /><input type="number" id="coord_29_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_30">Piquet 30 : <input type="number" id="coord_30_x" placeholder="X" step=any /><input type="number" id="coord_30_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_31">Piquet 31 : <input type="number" id="coord_31_x" placeholder="X" step=any /><input type="number" id="coord_31_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_32">Piquet 32 : <input type="number" id="coord_32_x" placeholder="X" step=any /><input type="number" id="coord_32_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_33">Piquet 33 : <input type="number" id="coord_33_x" placeholder="X" step=any /><input type="number" id="coord_33_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_34">Piquet 34 : <input type="number" id="coord_34_x" placeholder="X" step=any /><input type="number" id="coord_34_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_35">Piquet 35 : <input type="number" id="coord_35_x" placeholder="X" step=any /><input type="number" id="coord_35_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_36">Piquet 36 : <input type="number" id="coord_36_x" placeholder="X" step=any /><input type="number" id="coord_36_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_37">Piquet 37 : <input type="number" id="coord_37_x" placeholder="X" step=any /><input type="number" id="coord_37_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_38">Piquet 38 : <input type="number" id="coord_38_x" placeholder="X" step=any /><input type="number" id="coord_38_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_39">Piquet 39 : <input type="number" id="coord_39_x" placeholder="X" step=any /><input type="number" id="coord_39_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_40">Piquet 40 : <input type="number" id="coord_40_x" placeholder="X" step=any /><input type="number" id="coord_40_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_41">Piquet 41 : <input type="number" id="coord_41_x" placeholder="X" step=any /><input type="number" id="coord_41_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_42">Piquet 42 : <input type="number" id="coord_42_x" placeholder="X" step=any /><input type="number" id="coord_42_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_43">Piquet 43 : <input type="number" id="coord_43_x" placeholder="X" step=any /><input type="number" id="coord_43_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_44">Piquet 44 : <input type="number" id="coord_44_x" placeholder="X" step=any /><input type="number" id="coord_44_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_45">Piquet 45 : <input type="number" id="coord_45_x" placeholder="X" step=any /><input type="number" id="coord_45_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_46">Piquet 46 : <input type="number" id="coord_46_x" placeholder="X" step=any /><input type="number" id="coord_46_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_47">Piquet 47 : <input type="number" id="coord_47_x" placeholder="X" step=any /><input type="number" id="coord_47_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_48">Piquet 48 : <input type="number" id="coord_48_x" placeholder="X" step=any /><input type="number" id="coord_48_y" placeholder="Y" step=any /></div>
                <div class="coords" id="coords_49">Piquet 49 : <input type="number" id="coord_49_x" placeholder="X" step=any /><input type="number" id="coord_49_y" placeholder="Y" step=any /></div>
            </div>
            <div class="pure-u-1-3">
                <div><label>Import from JSON/TXT : <input id="file_selector" type="file" accept="application/json,text/plain"/></label></div>
                <!--<div><label>Import from JSON : <input id="file_selector" type="file" accept="application/json"/></label></div>-->
            </div>
        </div>
        <div id="debug-bar">
            <table>
                <tr>
                    <td>Aire : <span id="aire">?</span></td>
                    <td>Centre : <span id="centre">?</span></td>
                    <td>Inside : <span id="inside">?</span></td>
                </tr>
                <tr>
                    <td></td>
                    <td><button onclick="showCalculs()">Calculer</button></td>
                </tr>
            </table>

        </div>
        <div id="canvas">
            <canvas id="myCanvas" width="1000" height="500"></canvas>
        </div>
        <footer>
            <a href="test_files">Téléchargez des fichiers JSON ou TXT d'inputs de test</a>
        </footer>

    </body>

</html>